//////////////////////////////////////////////////////////////
//////		2662-Space-Invaders - Levels				       ////
//////////////////////////////////////////////////////////////

// Prototypen

function levelinit(level);	// initialisieren des Levels
function start_game();		// Spiel starten
function exit_game();		// Spiel beenden
function highscore_zeigen();	// Highscore anzeigen
function save_name();			// Namen speichern
function speichern_namen();

/////////////////////////////////////////////////////////


function levelinit(level)
{
	var i=0;
	var j=1;
	
	gegnerspeed = 20;
	aktuellerspeed = 0;
	player_feuertimer = 10;


	if (level == 1) 
	{
		feuerzeit_gegner = feuerzeit_gegner_level1;
		anzahl_schiffe = 0;
		anzahl_reihen=5;
		anzahl_spalten=4;
		
		cube.show = on;
		cube2.show = off;	
		cube3.show = off;
		cube4.show = off;
		
		// Gegner
		while(i <= anzahl_reihen) && (j <= anzahl_spalten)
		{
			i += 1;
			if (i == anzahl_reihen+1)
			{
				i = 1;
				j += 1;
			}
			if (j > anzahl_spalten)
			{
				break;
			}
			you = ent_create(gegner1, vector (-2500+i*500,2800-j*300,0), gegner_schiff_action);
			anzahl_schiffe += 1;
			you.skill5 = anzahl_schiffe;

			gegnerarray[you.skill5] = 1;
			continue;
		}
		
		// Player
		ent_create(player_schiff, vector (0,-200,0), player_schiff_action);

		// Schutz
		
		i=0;

		while (i<2)
		{
			ent_create(schutz, vector(-1000+2000*i, 300, 0 ), schutz_action);
			i+=1;
		}
	}
	
	if (level == 2) 
	{
		feuerzeit_gegner = feuerzeit_gegner_level2;
		anzahl_schiffe = 0;
		anzahl_reihen=5;
		anzahl_spalten=4;
		
		cube.show = off;
		cube2.show = on;	
		cube3.show = off;
		cube4.show = off;
		
		// Gegner
		while(i <= anzahl_reihen) && (j <= anzahl_spalten)
		{
			i += 1;
			if (i == anzahl_reihen+1)
			{
				i = 1;
				j += 1;
			}
			if (j > anzahl_spalten)
			{
				break;
			}
			you = ent_create(gegner2, vector (-2500+i*500,2800-j*300,0), gegner_schiff_action);
			anzahl_schiffe += 1;
			you.skill5 = anzahl_schiffe;

			gegnerarray[you.skill5] = 1;
			continue;
		}
		
		// Player
		ent_create(player_schiff, vector (0,-200,0), player_schiff_action);

		// Schutz
		
		i=0;

		while (i<3)
		{
			ent_create(schutz, vector(-1300+1300*i, 300, 0 ), schutz_action);
			i+=1;
		}
	}
	
	if (level == 3) 
	{
		feuerzeit_gegner_akt = 3;
		anzahl_schiffe = 0;
		anzahl_reihen=5;
		anzahl_spalten=4;
		
		cube.show = off;
		cube2.show = off;	
		cube3.show = on;	
		cube4.show = off;
			
		// Gegner
		while(i <= anzahl_reihen) && (j <= anzahl_spalten)
		{
			i += 1;
			if (i == anzahl_reihen+1)
			{
				i = 1;
				j += 1;
			}
			if (j > anzahl_spalten)
			{
				break;
			}
			you = ent_create(gegner2, vector (-2500+i*500,2800-j*300,0), gegner_schiff_action);
			anzahl_schiffe += 1;
			you.skill5 = anzahl_schiffe;

			gegnerarray[you.skill5] = 1;
			continue;
		}
		
		// Player
		ent_create(player_schiff, vector (0,-200,0), player_schiff_action);

		// Schutz
		
		i=0;

		while (i<3)
		{
			ent_create(schutz, vector(-1300+1300*i, 300, 0 ), schutz_action);
			i+=1;
		}
	}		

	if (level == 4) 
	{
		gegnerspeed = 25;
		feuerzeit_gegner_akt = 3;
		anzahl_schiffe = 0;
		anzahl_reihen=5;
		anzahl_spalten=4;
		
		cube.show = off;
		cube2.show = off;	
		cube3.show = off;	
		cube4.show = on;
			
		// Gegner
		while(i <= anzahl_reihen) && (j <= anzahl_spalten)
		{
			i += 1;
			if (i == anzahl_reihen+1)
			{
				i = 1;
				j += 1;
			}
			if (j > anzahl_spalten)
			{
				break;
			}
			you = ent_create(gegner1, vector (-2500+i*500,2800-j*300,0), gegner_schiff_action);
			anzahl_schiffe += 1;
			you.skill5 = anzahl_schiffe;

			gegnerarray[you.skill5] = 1;
			continue;
		}
		
		// Player
		ent_create(player_schiff, vector (0,-200,0), player_schiff_action);

		// Schutz
		
		i=0;

		while (i<3)
		{
			ent_create(schutz, vector(-1300+1300*i, 300, 0 ), schutz_action);
			i+=1;
		}
	}

	gamestarted=2;
}

function start_game()
{
	punkte = 0;
	leben = 3;


	aktuelles_level = 1;
	aktuellerspeed = 0;
	gegnerspeed = 10;
	player_laser_nummer = 1;
	anzahl_schiffe = 0;
	scan_distanz=0;
	treffer=0;
	treffer_player=0;
	feuerzeit_gegner_akt = 6;
	feuerzeit_gegner_level1 = 6;
	bewegungsspeed = 0;
	bewegungsspeed_max=100;
	zeit_bew=0;
	zeit_feuer=0;	
	
	menu_pan.visible = off;
	leben_anzeigen_dazu();
	gamestarted = 1;	// Starten in Main
	
}

function exit_game()
{
	exit;
}

function highscore_zeigen()
{
	exec("%PROG_DIR%\\internet explorer\\iexplore.exe","http://tools.gstools.de/channels/channels.php?gst=ScoreList&game=2662%20Starinvaders&gui=1");
}

function save_name()
{
	name_eingeben_pnl.visible = on;
	answer_txt.visible=on;

   inkey(name_str);
   
	

}

function speichern_namen()
{
	name_eingeben_pnl.visible = off;
	answer_txt.visible=off;
	inkey_active = 0; 

	file_handle = file_open_write ("player.txt"); 
	file_str_write (file_handle, name_str);
	file_close (file_handle);
}